libzypp 17.37.10

zypp::zypp_detail Namespace Reference

## Classes
class | ZYppImpl

## Functions
std::ostream & | operator<< (std::ostream &str, const ZYppImpl &obj)
int | zypp_poll (std::vector< GPollFD > &fds, int timeout=-1)
| Small wrapper around g_poll that additionally listens to the shutdown FD returned by ZYpp::shutdownSignalFd.
std::ostream & | operator<< (std::ostream &str, const ZYppImpl &obj)
| Stream output.

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream & zypp::zypp_detail::operator<< | ( | std::ostream & | str,
|  | const ZYppImpl & | obj )
| related

Definition at line 308 of file ZYppImpl.cc.

## ◆ zypp_poll()

int zypp::zypp_detail::zypp_poll | ( | std::vector< GPollFD > & | fds,
|  | int | timeout = -1 )

Small wrapper around g_poll that additionally listens to the shutdown FD returned by ZYpp::shutdownSignalFd.

EINTR is handled internally, no need to explicitely handle it.

For zyppng related code we should use different means to cancel processes, e.g via the top level event loop

Exceptions

  zypp::UserAbortException | in case the shutdown signal was received

Definition at line 313 of file ZYppImpl.cc.